org.apache.creadur.tentacles

## Class Deauthorize

- java.lang.Object
- - org.apache.creadur.tentacles.Deauthorize

    public class Deauthorize
    extends Object

Little utility that will yank the author comments from java files. If the resulting comment block is effectively empty, it will be yanked too.

### Constructor Summary

Constructors
Constructor and Description
`Deauthorize()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main(String[] args)` All input must be valid directories.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Deauthorize

    public Deauthorize()

### Method Detail

#### main

    public static void main(String[] args)
                     throws Exception

All input must be valid directories. Invalid input is logged to System.err and skipped

Parameters:
  `args` - a list of directories to scan and fix
Throws:
  `Exception` - in case of errors.